## banner-1.3.2-12.src.tar.gz

=== Makefile ===
# $Id: Makefile,v 1.6 2002/03/02 22:01:40 sverrehu Exp $
PROG		= banner
DIST		= $(PROG)
VERMAJ		= 1
VERMIN		= 3
VERPAT		= 2
VERSION		= $(VERMAJ).$(VERMIN).$(VERPAT)

CC		= gcc

INCDIR		= -I/usr/local/include
LIBDIR		= -L/usr/local/lib

OPTIM		= -O2
CCOPT		= -Wall $(OPTIM) $(INCDIR) -DVERSION=\"$(VERSION)\" $(CFLAGS)
LDOPT		= -s $(LIBDIR) $(LDFLAGS)

LIBS		= -lshhmsg -lshhopt # -liberty
OBJS		= letters.o font1.o font2.o

INSTBASEDIR	= /usr/local
INSTBINDIR	= $(INSTBASEDIR)/bin
INSTMANDIR	= $(INSTBASEDIR)/man/man1
INSTALL		= install -m 644
INSTALLPROG	= install -s -m 755
MKDIRP		= install -d -m 755


all: $(PROG)

$(PROG): $(PROG).o $(OBJS)

.o: $(OBJS)
	$(CC) $(CCOPT) -o $@ $< $(OBJS) $(LDOPT) $(LIBS)

.c.o:
	$(CC) -o $@ -c $(CCOPT) $<

clean:
	rm -f *.o core depend *~

install: $(PROG)
	$(MKDIRP) $(INSTBINDIR) $(INSTMANDIR)
	$(INSTALLPROG) $(PROG) $(INSTBINDIR)
	$(INSTALL) $(PROG).1 $(INSTMANDIR)

chmod:
	chmod a+r *

depend dep:
	$(CC) $(INCDIR) -MM *.c >depend

# To let the author make a distribution. The rest of the Makefile
# should be used by the author only.
LSMFILE		= $(DIST)-$(VERSION).lsm
DISTDIR		= $(DIST)-$(VERSION)
DISTFILE	= $(DIST)-$(VERSION).tar.gz
DISTFILES	= README INSTALL CREDITS $(LSMFILE) ChangeLog \
		  Makefile $(PROG).h $(PROG).c $(PROG).1 \
		  letters.c font1.c font2.c

$(LSMFILE): $(DIST).lsm.in
	VER=$(VERSION); \
	DATE=`date "+%d%b%y"|tr '[a-z]' '[A-Z]'`; \
	sed -e "s/VER/$$VER/g;s/DATE/$$DATE/g" $(DIST).lsm.in > $(LSMFILE)

veryclean: clean
	rm -f $(PROG) $(DIST)-$(VERSION).tar.gz $(LSMFILE)

dist: $(LSMFILE) chmod
	mkdir $(DISTDIR)
	chmod a+rx $(DISTDIR)
	ln $(DISTFILES) $(DISTDIR)
	tar -cvzf $(DISTFILE) $(DISTDIR)
	chmod a+r $(DISTFILE)
	rm -rf $(DISTDIR)

ifeq (depend,$(wildcard depend))
include depend
endif
